Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Interface IIconProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  IconService

public interface IIconProvider
extends IProvider

The interface for providers of the "iconProvider" extension point. Implement this interface to contribute an extension to the "iconProvider" extension point. Icon provider is responsible for retrieving an icon for a specified element.

Method Summary
`Image` `getIcon(IAdaptable hint, int flags)` Gets the icon for the given object.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getIcon

    public Image getIcon(IAdaptable hint,
                         int flags)

  Gets the icon for the given object.

  Parameters:
    `hint` - argument adaptable to IElement
    `flags` - optional icon flags
  Returns:
    Image the icon

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.